import { defineStore } from 'pinia'
import { theme } from '@/settings/designSetting'
import { setLocalStorage, getLocalStorage } from '@/utils'
import { useDarkThemeHook } from '@/hooks'

const DESIGN_THEME = "DESIGN_THEME" 
const storageDesign = getLocalStorage(DESIGN_THEME)

export const useDesignStore = defineStore({
  id: 'useDesignStore',
  state: () =>
    storageDesign || {
      // 是否暗黑
      ...theme,
    },
  getters: {
    getDarkTheme() {
      return this.darkTheme
    }
  },
  actions: {
    // 切换主题
    changeTheme(e) {
      this.darkTheme = e
      setLocalStorage(DESIGN_THEME, this.$state)
      useDarkThemeHook()
    }
  }
})