export const columns = [
  {
    title: window.$t("financialManagement.orderNumber"),
    dataIndex: "index",
    align: "center",
    render: ({ rowIndex }) => rowIndex + 1,
    width: 60,
    ellipsis: true,
    tooltip: true,
  },
  {
    title: window.$t("financialManagement.customerId"),
    dataIndex: "id",
    ellipsis: true,
    tooltip: true,
    width: 180,
    align: "center",
  },
  {
    title: window.$t("financialManagement.customerName"),
    dataIndex: "name",
    align: "center",
    slotName: "name",
  },
  {
    title: window.$t("financialManagement.customerAccount"),
    dataIndex: "username",
    align: "center",
  },
  {
    title: window.$t("financialManagement.rechargeAmountTab"),
    dataIndex: "rechargeAmount",
    align: "center",
  },
  {
    title: window.$t("financialManagement.availableAmountTab"),
    dataIndex: "availableAmount",
    width: 140,
    align: "center",
  },
  {
    title: window.$t("financialManagement.rechargeType"),
    dataIndex: "status",
    align: "center",
    slotName: "status",
    filterable: {
      filters: [
        {
          text: window.$t("financialManagement.recharge"),
          value: "1",
        },
        {
          text: window.$t("financialManagement.offset"),
          value: "2",
        },
        {
          text: window.$t("financialManagement.deduct"),
          value: "3",
        },
      ],
      filter: (value, record) => {
        return record.status === value[0];
      },
      multiple: true,
    },
  },
  {
    title: "凭证",
    slotName: "image",
    width: 180,
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: window.$t("financialManagement.updatedAt"),
    dataIndex: "updatedAt",
    width: 180,
    align: "center",
  },
];

export const handleStatusTxt = (status) => {
  const obj = {
    1: window.$t("financialManagement.recharge"),
    2: window.$t("financialManagement.offset"),
    3: window.$t("financialManagement.deduct"),
  };
  return obj[status];
};

export const statusOptions = [
  { label: window.$t("financialManagement.recharge"), value: "1" },
  { label: window.$t("financialManagement.offset"), value: "2" },
  { label: window.$t("financialManagement.deduct"), value: "3" },
];

// h5充值
export const UserAdiroColumns = [
  {
    title: "ICCID",
    dataIndex: "iccid",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: "资费名称",
    dataIndex: "trafficName",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: "套餐名称",
    dataIndex: "productName",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },

  {
    title: "订单ID",
    dataIndex: "orderId",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: "支付状态",
    dataIndex: "payStatus",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: "支付渠道",
    dataIndex: "payChannel",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: "支付金额",
    dataIndex: "payAmount",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: "币种",
    dataIndex: "currency",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
  {
    title: "备注",
    dataIndex: "remark",
    align: "center",
    ellipsis: true,
    tooltip: true,
  },
];
// 账户余额搜索
export const AccountBalanceSearch = [
  {
    type: "input",
    label: "账单号",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "客户名称",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "range-picker",
    label: "账单生成时间",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "range-picker",
    label: "结算周期时间段",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "状态",
    field: "moderationStatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "orderType",
    value: "", // 双向绑定的值
    width: "200",
  },
];
// 平台端搜索
export const AdminSearchForm = [
  {
    type: "input",
    label: "客户账号",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "客户名称",
    field: "id",
    value: "", // 双向绑定的值
  }
]

// 客户端搜索
export const ClientSearchForm = [
  {
    type: "input",
    label: "ICCID",
    field: "iccid",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "资费名称",
    field: "tariffName",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "套餐名称",
    field: "productName",
    value: "", // 双向绑定的值
  },
  // {
  //   type: "select",
  //   label: "运营商名称",
  //   field: "source",
  //   options: [], // 默认空，后面会通过字典加载
  //   dict: "source",
  //   value: "", // 双向绑定的值
  //   width: "200",
  // },
  {
    type: "input",
    label: "订单ID",
    field: "id",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "支付状态",
    field: "payStatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "puyType",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "币种",
    field: "currency",
    options: [], // 默认空，后面会通过字典加载
    dict: "currencyType",
    value: "", // 双向绑定的值
    width: "200",
  }
]
